package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.MaterialImageInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 素材
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-16
 */
public interface IMaterialImageInfoService extends IService<MaterialImageInfo> {
    /**
     * 根据视频id  关联封面
     */
    void insertImage(JSONObject imageJson);

    Map<String, Object> checkMaterialInfo(String code, String videoId);

    List<String> getCodeList();

    List<JSONObject> getUrlList(String videoId);

    void initImageCode(MaterialImageInfo image);

    MaterialImageInfo getByCode(String signature);


    List<MaterialImageInfo> getListByVideoSignature(String signature);
}
